# Uses of Class
org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

Packages that use WhiteboardServiceInfo
Package
Description
org.apache.felix.http.base.internal.runtime
org.apache.felix.http.base.internal.whiteboard
org.apache.felix.http.base.internal.whiteboard.tracker

## Uses of WhiteboardServiceInfo in org.apache.felix.http.base.internal.runtime

Subclasses of WhiteboardServiceInfo in org.apache.felix.http.base.internal.runtime
Modifier and Type
Class
Description
`class`
`FilterInfo`
Provides registration information for a `Filter`, and is used to programmatically register `Filter`s.
`class`
`ListenerInfo`
Info object for registered listeners.
`class`
`PreprocessorInfo`
Provides registration information for a `Preprocessor`.
`final class`
`ResourceInfo`
Info object for a resource registration
`class`
`ServletInfo`
Provides registration information for a `Servlet`, and is used to programmatically register `Servlet`s.
Methods in org.apache.felix.http.base.internal.runtime with parameters of type WhiteboardServiceInfo
Modifier and Type
Method
Description
`boolean`
ServletContextHelperInfo.`match(WhiteboardServiceInfo<?> info)`

## Uses of WhiteboardServiceInfo in org.apache.felix.http.base.internal.whiteboard

Methods in org.apache.felix.http.base.internal.whiteboard that return WhiteboardServiceInfo
Modifier and Type
Method
Description
`WhiteboardServiceInfo<?>`
RegistrationFailureException.`getInfo()`
Methods in org.apache.felix.http.base.internal.whiteboard with parameters of type WhiteboardServiceInfo
Modifier and Type
Method
Description
`boolean`
WhiteboardManager.`addWhiteboardService(@NotNull WhiteboardServiceInfo<?> info)`
Add new whiteboard service to the registry
`void`
WhiteboardManager.`removeWhiteboardService(WhiteboardServiceInfo<?> info)`
Remove whiteboard service from the registry.
Constructors in org.apache.felix.http.base.internal.whiteboard with parameters of type WhiteboardServiceInfo
Modifier
Constructor
Description
``
`RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode)`
``
`RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode, String message)`
``
`RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode, Throwable exception)`

## Uses of WhiteboardServiceInfo in org.apache.felix.http.base.internal.whiteboard.tracker

Methods in org.apache.felix.http.base.internal.whiteboard.tracker that return WhiteboardServiceInfo
Modifier and Type
Method
Description
`protected WhiteboardServiceInfo<jakarta.servlet.Filter>`
FilterTracker.`getServiceInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Filter> ref)`
`protected WhiteboardServiceInfo<jakarta.servlet.Filter>`
JavaxFilterTracker.`getServiceInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Filter> ref)`
`protected WhiteboardServiceInfo<EventListener>`
JavaxListenersTracker.`getServiceInfo(org.osgi.framework.ServiceReference<EventListener> ref)`
`protected WhiteboardServiceInfo<org.osgi.service.servlet.whiteboard.Preprocessor>`
JavaxPreprocessorTracker.`getServiceInfo(org.osgi.framework.ServiceReference<org.osgi.service.servlet.whiteboard.Preprocessor> ref)`
`protected WhiteboardServiceInfo<jakarta.servlet.Servlet>`
JavaxServletTracker.`getServiceInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Servlet> ref)`
`protected WhiteboardServiceInfo<EventListener>`
ListenersTracker.`getServiceInfo(org.osgi.framework.ServiceReference<EventListener> ref)`
`protected WhiteboardServiceInfo<org.osgi.service.servlet.whiteboard.Preprocessor>`
PreprocessorTracker.`getServiceInfo(org.osgi.framework.ServiceReference<org.osgi.service.servlet.whiteboard.Preprocessor> ref)`
`protected WhiteboardServiceInfo<Object>`
ResourceTracker.`getServiceInfo(org.osgi.framework.ServiceReference<Object> ref)`
`protected WhiteboardServiceInfo<jakarta.servlet.Servlet>`
ServletTracker.`getServiceInfo(org.osgi.framework.ServiceReference<jakarta.servlet.Servlet> ref)`
`protected abstract WhiteboardServiceInfo<T>`
WhiteboardServiceTracker.`getServiceInfo(org.osgi.framework.ServiceReference<T> ref)`
Implemented by sub classes to create the correct whiteboard service info object.